<template>
    <nav class="navbar navbar-expand-lg navbar-dark bg-primary" >
        <div class="container-fluid d-flex justify-content-between">
            <router-link :to="{ name: 'home'}" class="navbar-brand" href="#">
                <i class="fa fa-layer-group fa-2x mx-5 ps-1 shadow-logo"></i>
            </router-link>
            <button 
                class="navbar-toggler" 
                type="button" 
                data-bs-toggle="collapse" 
                data-bs-target="#navbarsExample10" 
                aria-controls="navbarsExample10" 
                aria-expanded="false" 
                aria-label="Toggle navigation"
            >
            <span class="navbar-toggler-icon"></span>
            </button>

            <div class="collapse navbar-collapse justify-content-md-center" id="navbarsExample10">
                <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                    <li 
                        class="nav-item"
                        v-for="(item, index) in items"
                        :key="index"    
                    >
                        <router-link :to="{ name: item.slug }" class="nav-link" aria-current="page">{{item.name.toUpperCase()}}</router-link>
                    </li>
                </ul>
                <ul class="navbar-nav d-flex flex-row ms-auto me-5">
                    <li class="nav-item dropdown">
                        <a class="nav-link" href="#" id="dropdown10" data-bs-toggle="dropdown" aria-expanded="false">
                            <i class="nav-link fa fa-user fa-2x mx-5"></i>
                        </a>
                        <ul class="dropdown-menu" aria-labelledby="dropdown10">
                            <li><a class="dropdown-item" href="#">Action</a></li>
                            <li><a class="dropdown-item" href="#">Action</a></li>
                            <li><a class="dropdown-item" href="#">Action</a></li>
                        </ul>
                    </li>
                </ul>
            </div>
        </div>
    </nav>
</template>

<script>
import arrayDataMixin from '@/mixins/arrayDataMixin';

export default {
    name: 'NavBar',
    mixins: [arrayDataMixin]
}
</script>

<style scoped>

</style>
